# Interface FunctionInternalValueInfoUnknown

This type is used when decoding internal functions in contexts that don't support full decoding of such functions. The high-level decoding interface can currently only sometimes perform such a full decoding.

In contexts where such full decoding isn't supported, you'll get one of these; so you'll still get the program counter values, but further information will be absent. Note you'll get this even if really it should decode to an error, because if there's insufficient information to determine additional function information, there's necessarily insufficient information to determine if it should be an error.

#### Category

Function types

#### Hierarchy

- FunctionInternalValueInfoUnknown

- Defined in codec/lib/format/values.ts:604

#####
Index

### Properties

constructorProgramCounter
context
deployedProgramCounter
kind

## Properties

### constructorProgramCounter

constructorProgramCounter: number

- Defined in codec/lib/format/values.ts:608

### context

context: ContractType

- Defined in codec/lib/format/values.ts:606

### deployedProgramCounter

deployedProgramCounter: number

- Defined in codec/lib/format/values.ts:607

### kind

kind: "unknown"

- Defined in codec/lib/format/values.ts:605

Generated using TypeDoc